Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class BinaryBooleanExpressionHelper

    java.lang.Object
      org.codehaus.groovy.classgen.asm.BinaryExpressionWriter
          org.codehaus.groovy.classgen.asm.BinaryIntExpressionHelper
              org.codehaus.groovy.classgen.asm.BinaryBooleanExpressionHelper

    public class BinaryBooleanExpressionHelper
    extends BinaryIntExpressionHelper

Authors:
  Jochen "blackdrag" Theodorou

Field Summary

Fields inherited from class BinaryExpressionWriter
stdCompareCodes

Constructor Summary
`BinaryBooleanExpressionHelper(WriterController wc)`

Method Summary
`protected void` | `doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)`
`protected MethodCaller` | `getArrayGetCaller()`
`protected ClassNode` | `getArrayGetResultType()`
`protected MethodCaller` | `getArraySetCaller()`
`protected int` | `getBitwiseOperationBytecode(int type)`
`protected ClassNode` | `getDevisionOpResultType()`
`protected ClassNode` | `getNormalOpResultType()`
`protected int` | `getShiftOperationBytecode(int type)`
`protected int` | `getStandardOperationBytecode(int type)`
`protected void` | `removeTwoOperands(org.objectweb.asm.MethodVisitor mv)`
`protected boolean` | `writeDivision(boolean simulate)`
`protected void` | `writeMinusMinus(org.objectweb.asm.MethodVisitor mv)`
`protected void` | `writePlusPlus(org.objectweb.asm.MethodVisitor mv)`
`boolean` | `writePostOrPrefixMethod(int operation, boolean simulate)`
`protected boolean` | `writeStdOperators(int type, boolean simulate)`

Methods inherited from class BinaryIntExpressionHelper
doubleTwoOperands, getArrayGetCaller, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, writeMinusMinus, writePlusPlus, writeSpaceship, writeStdCompare

Methods inherited from class BinaryExpressionWriter
arrayGet, arraySet, doubleTwoOperands, getArrayGetCaller, getArrayGetResultType, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, supportsDivision, write, writeBitwiseOp, writeDivision, writeMinusMinus, writePlusPlus, writePostOrPrefixMethod, writeShiftOp, writeSpaceship, writeStdCompare, writeStdOperators

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BinaryBooleanExpressionHelper

    public BinaryBooleanExpressionHelper(WriterController wc)

Method Detail

### doubleTwoOperands

    protected void doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)

### getArrayGetCaller

    @Override
    protected MethodCaller getArrayGetCaller()

### getArrayGetResultType

    @Override
    protected ClassNode getArrayGetResultType()

### getArraySetCaller

    @Override
    protected MethodCaller getArraySetCaller()

### getBitwiseOperationBytecode

    protected int getBitwiseOperationBytecode(int type)

### getDevisionOpResultType

    protected ClassNode getDevisionOpResultType()

### getNormalOpResultType

    protected ClassNode getNormalOpResultType()

### getShiftOperationBytecode

    protected int getShiftOperationBytecode(int type)

### getStandardOperationBytecode

    protected int getStandardOperationBytecode(int type)

### removeTwoOperands

    protected void removeTwoOperands(org.objectweb.asm.MethodVisitor mv)

### writeDivision

    protected boolean writeDivision(boolean simulate)

### writeMinusMinus

    protected void writeMinusMinus(org.objectweb.asm.MethodVisitor mv)

### writePlusPlus

    protected void writePlusPlus(org.objectweb.asm.MethodVisitor mv)

### writePostOrPrefixMethod

    public boolean writePostOrPrefixMethod(int operation, boolean simulate)

### writeStdOperators

    @Override
    protected boolean writeStdOperators(int type, boolean simulate)

Groovy Documentation